#
# spec file for package numix-gtk-theme
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _theme  Numix
%define _name   numix
Name:           numix-gtk-theme
Version:        2.6.7.1617863126.0d6b4c8
Release:        bp155.2.11
Summary:        Numix GTK+ theme for MATE, Cinnamon, GNOME, and Xfce
License:        GPL-3.0-or-later
Group:          System/GUI/Other
URL:            https://numixproject.org/
Source0:        %{name}-%{version}.tar.xz 
# PATCH-FIX-OPENSUSE numix-gtk-theme-light-menubars.patch sor.alexei@meowr.ru -- Make light menus (Gtk2), dark menus are buggy in Qt4 QGtk2Style.
Patch0:         %{name}-light-menubars.patch
# PATCH-FIX-UPSTREAM numix-gtk-theme-add-text_view_bg.patch bsc#1184979 alynx.zhou@suse.com -- Added color used by new version of vte.
Patch1:         numix-gtk-theme-add-text_view_bg.patch
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildArch:      noarch
BuildRequires:  glib2-tools
BuildRequires:  libxml2-tools
BuildRequires:  sassc
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)

%description
Numix is a modern flat theme with a combination of light and dark
elements. It supports MATE, GNOME, Xfce, and Openbox.

%package -n metatheme-%{_name}-common
Summary:        Numix Common Theme Files
Group:          System/GUI/Other
Suggests:       gtk2-metatheme-%{_name} = %{version}
Suggests:       gtk3-metatheme-%{_name} = %{version}

%description -n metatheme-%{_name}-common
Numix is a modern flat theme with a combination of light and dark
elements. It supports MATE, GNOME, Xfce, and Openbox.
This package contains common files and themes for Marco, Openbox,
and Xfwm4.

%package -n gtk2-metatheme-%{_name}
Summary:        Numix GTK+2 Theme
Group:          System/GUI/Other
Requires:       gtk2-engine-murrine >= 0.98.1.1
Requires:       metatheme-%{_name}-common = %{version}
Supplements:    (metatheme-%{_name}-common and gtk2)

%description -n gtk2-metatheme-%{_name}
Numix is a modern flat theme with a combination of light and dark
elements. It supports MATE, GNOME, Xfce, and Openbox.
This package contains the GTK+2 theme.

%package -n gtk3-metatheme-%{_name}
Summary:        Numix GTK+3 Theme
Group:          System/GUI/Other
Requires:       gtk3 >= 3.6.0
Requires:       metatheme-%{_name}-common = %{version}
Supplements:    (metatheme-%{_name}-common and gtk3)

%description -n gtk3-metatheme-%{_name}
Numix is a modern flat theme with a combination of light and dark
elements. It supports MATE, GNOME, Xfce, and Openbox.
This package contains the GTK+3 theme.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%make_build

%install
%make_install
# Changed to a symlink in numix-gtk-theme 2.6.4, breaks update from older versions.
ls -d %{buildroot}%{_datadir}/themes/Numix/gtk-3.*/assets | while read dir; do
    if [ -L "$dir" ]; then
        real_dir="$(readlink "$dir")"
        rm -f "$dir"
        pushd "$(dirname "$dir")"
        cp -a "$real_dir" "$dir"
        popd
    fi
done
chmod -R a-x+X %{buildroot}%{_datadir}/themes/%{_theme}/
%fdupes %{buildroot}%{_datadir}/

%files -n metatheme-%{_name}-common
%license LICENSE
%doc CHANGES CREDITS README.md
%{_datadir}/themes/%{_theme}/
%exclude %{_datadir}/themes/%{_theme}/gtk-2.*/
%exclude %{_datadir}/themes/%{_theme}/gtk-3.*/

%files -n gtk2-metatheme-%{_name}
%license LICENSE
%doc CHANGES CREDITS README.md
%{_datadir}/themes/%{_theme}/gtk-2.*/

%files -n gtk3-metatheme-%{_name}
%license LICENSE
%doc CHANGES CREDITS README.md
%{_datadir}/themes/%{_theme}/gtk-3.*/

%changelog
* Tue May 25 2021 Alynx Zhou <alynx.zhou@suse.com>
- Add numix-gtk-theme-add-text_view_bg.patch: New version of VTE
  requires themes to export text_view_bg, this patch adds it.
  (bsc#1184979)
* Sun May 16 2021 Predrag Ivanović <predivan@mts.rs>
- Update to version 2.6.7.1617863126.0d6b4c8
  * Fix Thunar sidebar
    (#gh#numixproject/numix-gtk-theme#742)
  * eclipse: fix small toolbar buttons
    (#gh#numixproject/numix-gtk-theme#748)
  * Replace deprecated Ruby Sass with SassC
    (#gh#numixproject/numix-gtk-theme#734)
    (#gh#numixproject/numix-gtk-theme#740)
  * Update budgie panel and workspace-switcher colors
    (gh#numixproject/numix-gtk-theme#368)
  * Gtk-3.20:xfce Add whisker menu style
    (#gh#numixproject/numix-gtk-theme#666)
  * Update xfce4-notifyd specific gtk3 style
    (#gh#numixproject/numix-gtk-theme#677).
  * Correct maximize button behavior in Openbox
    (#gh#numixproject/numix-gtk-theme#77)
  * [Gtk-2.0] Remove unnecessary executable permissions
    (#gh#numixproject/numix-gtk-theme#690)
- Package changes:
  * Replace saas with sassc.
  * Don't build for EOL distribution versions.
  * Spec-cleaner run
  * Pull the source using obs_scm/_service until upstream
    tags the new release.
* Sat Nov 18 2017 sor.alexei@meowr.ru
- Update to version 2.6.7:
  * See /usr/share/doc/packages/metatheme-numix-common/CHANGES
- Rebase numix-gtk-theme-light-menubars.patch.
* Mon Nov 28 2016 sor.alexei@meowr.ru
- Add Numix 2.5.1 for compatibility with Gtk 3.14 or older.
* Wed Nov 16 2016 sor.alexei@meowr.ru
- Update to version 2.6.6:
  * Also support Numix-Frost-Light.
  * Nemo statusbar button padding fix
    (gh#numixproject/numix-gtk-theme#611).
  * Fix notebook tab padding issues for some applications
    (gh#numixproject/numix-gtk-theme#588).
  * [GTK+-3.20] Optimised notebook padding.
  * [GTK+-3.20] Fixed notebook asymmetrical padding.
  * Fix button left margin.
  * Fix discrete filled block inside levelbar
    (gh#numixproject/numix-gtk-theme#619).
  * [GTK+-3.20] Optimise sidebar padding.
  * [GTK+-3.20] Add styling to Raven components of the Budgie
    panel (gh#numixproject/numix-gtk-theme#620).
  * [GTK+-3.20] Fix xfce4 code.
  * Create global OSD file.
  * GTKHEADERB 3.22 :: Create global OSD file
    (gh#numixproject/numix-gtk-theme#628).
  * [GTK+-3.20] Fix for volume OSD slider
    (gh#numixproject/numix-gtk-theme#623).
  * Disable box-shadow for osd button in fine-tune mode
    (gh#numixproject/numix-gtk-theme#561)
  * [GTK+-3.20] Fix gnome-terminal scrollbar colour. Disable
    backdrop mode.
* Mon Oct 24 2016 sor.alexei@meowr.ru
- Update to version 2.6.5:
  * Fix Nemo patch-bar padding (gh#numixproject/numix-gtk-theme#548).
  * Add single SVG asset file ready for batch export to PNG
    (gh#numixproject/numix-gtk-theme#579).
  * Remove old svg files (gh#numixproject/numix-gtk-theme#508).
  * GTK+-3.22: Change font syntax from Pango-style to CSS-style
    (gh#numixproject/numix-gtk-theme#571).
  * Add conflict-row styling for Nautilus
    (gh#numixproject/numix-gtk-theme#576).
  * Add monospace code.
  * GTK+-3.20: Optimise popover padding.
  * GTK+-3.20: Fix Combobox menu padding
    (gh#numixproject/numix-gtk-theme#575).
  * Fix scrollbar horizontal icon name
    (gh#numixproject/numix-gtk-theme#599).
  * Add a background to cellrendertext
    (gh#numixproject/numix-gtk-theme#600).
  * GTK+-3.20: Port gnome-panel code
    (gh#numixproject/numix-gtk-theme#550).
  * GTK+-3.20: Fix infobar structure and add entry error and warning
    code.
  * Create and Restructure all assets Adwaita and Arc-theme style.
  * Optimise modelbutton code.
  * Fix title-bar padding in gnome-builder
    (gh#numixproject/numix-gtk-theme#605).
  * Fix OpenBox theme colour (gh#numixproject/numix-gtk-theme#369).
  * GTK+-3.20: Fix backdrop mode in Ubuntu
    (gh#numixproject/numix-gtk-theme#585).
  * A WebkitGtk workaround (gh#numixproject/numix-gtk-theme#572).
  * utils.sh: Fix errors in the do_install function.
  * Add a zip task to Makefile.
* Fri Sep 23 2016 sor.alexei@meowr.ru
- Update to version 2.6.4:
  * No changelog available.
- Rebase numix-gtk-theme-light-menubars.patch.
* Tue Jul 12 2016 sor.alexei@meowr.ru
- Update to version 2.6.1:
  * No changelog available.
* Fri Jun 17 2016 sor.alexei@meowr.ru
- Update to version 2.6.0:
  * No changelog available.
* Fri Jun 10 2016 sor.alexei@meowr.ru
- Update to version 2.5.1+git20160610:
  * No changelog available.
- Add numix-gtk-theme-light-menubars.patch: Make light menus (Gtk2),
  dark menus are buggy in Qt4 QGtkStyle.
* Sun May 29 2016 sor.alexei@meowr.ru
- Update to version 2.5.1+git20160525:
  * No changelog available.
* Tue May 10 2016 sor.alexei@meowr.ru
- Update to version 2.5.1+git20160510.
* Wed Apr 27 2016 sor.alexei@meowr.ru
- Update to version 2.5.1+git20160426.
* Sun Apr 17 2016 sor.alexei@meowr.ru
- Update to version 2.5.1+git20160414.
* Mon Apr 11 2016 sor.alexei@meowr.ru
- Update to version 2.5.1+git20160410.
* Fri May  1 2015 sor.alexei@meowr.ru
- Separate GTK+ theme to subpackages.
- Spec cleanup.
* Mon Mar 23 2015 p.drouand@gmail.com
- Initial release (version 2.5.1)
